Bug 781009 - (SOA-3487) Different versions of Drools-related mvel jar in 5.2.0.ER5 distribution server configs
Different versions of Drools-related mvel jar in 5.2.0.ER5 distribution serve...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, JBoss Rules (Show other bugs)
5.2.0.ER5
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.2.0 GA,5.2.0.ER6
Assigned To: Julian Coleman
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 11:51 EDT by Len DiMaggio
Modified: 2011-11-02 09:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-02 09:48:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3487 None None None Never

  None (edit)
Description Len DiMaggio 2011-10-14 11:51:15 EDT
project_key: SOA

The files are:

mvel2-2.1.Beta6.jar
   /jboss-soa-p-5/jboss-as/server/default/deploy/jbrules.esb

mvel2-2.1.0.drools2.jar
   /jboss-soa-p-5/jboss-as/server/default/deployers/esb.deployer/lib
Comment 1 Len DiMaggio 2011-10-14 11:52:39 EDT
This was discovered while investigating:  https://issues.jboss.org/browse/SOA-3483

Creating a new Drools project in JBDS (4.1.1) puts both these mis-matched jars into the project's JBDS "Drools Library"
Comment 2 Len DiMaggio 2011-10-14 11:53:40 EDT
Link: Added: This issue is related to SOA-3483
Comment 3 tcunning 2011-10-18 10:51:29 EDT
Link: Added: This issue is related to JBESB-3701
Comment 4 Julian Coleman 2011-10-19 06:05:55 EDT
Resolved with revision 656 of:

  patches/org.jboss.jbossesb-jbosssoa/branches/esb-4.10/01-add-generated-poms.patch

Commit message:

  SOA-3487.
  Update mvel2 version to 2.1.Beta6.
Comment 5 Julian Coleman 2011-10-19 06:05:55 EDT
Release Notes Docs Status: Added: Not Yet Documented
Release Notes Text: Added: MVEL2 has been updated to version 2.1.Beta6.
Comment 6 David Le Sage 2011-10-19 19:57:08 EDT
Release Notes Docs Status: Removed: Not Yet Documented Added: Not Required
Writer: Added: dlesage
Comment 7 Len DiMaggio 2011-11-02 09:48:23 EDT
Verified in ER6:

./server/default/deploy/jbrules.esb/mvel2-2.1.Beta6.jar
./server/default/deployers/esb.deployer/lib/mvel2-2.1.Beta6.jar
./server/all/deploy/jbrules.esb/mvel2-2.1.Beta6.jar
./server/all/deployers/esb.deployer/lib/mvel2-2.1.Beta6.jar
./server/production/deploy/jbrules.esb/mvel2-2.1.Beta6.jar
./server/production/deployers/esb.deployer/lib/mvel2-2.1.Beta6.jar

Note You need to log in before you can comment on or make changes to this bug.